WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
core24
1643
usr
bin
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2026-04-10 04:17:56
-
[
File
54.44 KB
0755
2026-01-23 13:30:04
aa-enabled
File
18.3 KB
0755
2026-02-20 23:51:51
aa-exec
File
18.3 KB
0755
2026-02-20 23:51:51
aa-features-abi
File
18.3 KB
0755
2026-02-20 23:51:51
addpart
File
14.38 KB
0755
2026-03-06 16:00:54
arch
File
34.51 KB
0755
2026-01-23 13:30:04
awk
File
166.77 KB
0755
2024-04-08 16:12:02
b2sum
File
54.51 KB
0755
2026-01-23 13:30:04
base32
File
38.51 KB
0755
2026-01-23 13:30:04
base64
File
38.51 KB
0755
2026-01-23 13:30:04
basename
File
34.51 KB
0755
2026-01-23 13:30:04
basenc
File
46.51 KB
0755
2026-01-23 13:30:04
bash
File
1.38 MB
0755
2024-03-31 08:41:03
bashbug
File
6.82 KB
0755
2024-03-31 08:41:03
bunzip2
File
38.38 KB
0755
2024-08-09 02:33:21
busctl
File
94.59 KB
0755
2026-03-24 13:45:53
bzcat
File
38.38 KB
0755
2024-08-09 02:33:21
bzcmp
File
2.17 KB
0755
2024-08-09 02:33:21
bzdiff
File
2.17 KB
0755
2024-08-09 02:33:21
bzegrep
File
3.69 KB
0755
2024-08-09 02:33:21
bzexe
File
4.78 KB
0755
2021-11-27 12:25:05
bzfgrep
File
3.69 KB
0755
2024-08-09 02:33:21
bzgrep
File
3.69 KB
0755
2024-08-09 02:33:21
bzip2
File
38.38 KB
0755
2024-08-09 02:33:21
bzip2recover
File
18.3 KB
0755
2024-08-09 02:33:21
bzless
File
1.27 KB
0755
2024-08-09 02:33:21
bzmore
File
1.27 KB
0755
2024-08-09 02:33:21
captoinfo
File
90.41 KB
0755
2024-04-08 16:14:03
cat
File
38.46 KB
0755
2026-01-23 13:30:04
chage
File
70.49 KB
2755
2024-05-30 14:52:35
chardet
File
221 B
0755
2023-08-20 12:12:03
chardetect
File
221 B
0755
2023-08-20 12:12:03
chattr
File
14.31 KB
0755
2024-04-28 23:44:46
chcon
File
58.51 KB
0755
2026-01-23 13:30:04
chfn
File
71.09 KB
4755
2024-05-30 14:52:35
chgrp
File
58.51 KB
0755
2026-01-23 13:30:04
chmod
File
54.51 KB
0755
2026-01-23 13:30:04
choom
File
22.38 KB
0755
2026-03-06 16:00:54
chown
File
58.51 KB
0755
2026-01-23 13:30:04
chrt
File
30.38 KB
0755
2026-03-06 16:00:54
chsh
File
43.71 KB
4755
2024-05-30 14:52:35
cksum
File
102.52 KB
0755
2026-01-23 13:30:04
clear
File
14.31 KB
0755
2024-04-08 16:14:03
clear_console
File
14.23 KB
0755
2024-03-31 08:41:03
cloud-id
File
966 B
0755
2025-11-15 18:02:56
cloud-init
File
970 B
0755
2025-11-15 18:02:56
cloud-init-per
File
2.06 KB
0755
2025-09-26 11:09:55
cmp
File
42.39 KB
0755
2024-04-08 15:55:59
comm
File
38.52 KB
0755
2026-01-23 13:30:04
core-sshd-host-keygen
File
1.49 KB
0755
2026-04-10 04:14:49
coredumpctl
File
82.66 KB
0755
2026-03-24 13:45:53
cp
File
138.52 KB
0755
2026-01-23 13:30:04
csplit
File
50.51 KB
0755
2026-01-23 13:30:04
ctstat
File
22.66 KB
0755
2025-07-10 14:46:54
cut
File
38.51 KB
0755
2026-01-23 13:30:04
cvtsudoers
File
321.1 KB
0755
2026-03-02 12:56:19
dash
File
126.74 KB
0755
2024-03-31 08:47:26
date
File
106.51 KB
0755
2026-01-23 13:30:04
dbus-cleanup-sockets
File
14.29 KB
0755
2024-08-09 02:33:22
dbus-daemon
File
230.64 KB
0755
2024-08-09 02:33:22
dbus-monitor
File
26.3 KB
0755
2024-08-09 02:33:22
dbus-run-session
File
14.3 KB
0755
2024-08-09 02:33:22
dbus-send
File
30.29 KB
0755
2024-08-09 02:33:22
dbus-update-activation-environment
File
14.29 KB
0755
2024-08-09 02:33:22
dbus-uuidgen
File
14.29 KB
0755
2024-08-09 02:33:22
dd
File
70.54 KB
0755
2026-01-23 13:30:04
delpart
File
14.38 KB
0755
2026-03-06 16:00:54
df
File
87.08 KB
0755
2026-01-23 13:30:04
diff
File
134.55 KB
0755
2024-04-08 15:55:59
diff3
File
58.52 KB
0755
2024-04-08 15:55:59
dir
File
138.98 KB
0755
2026-01-23 13:30:04
dircolors
File
46.52 KB
0755
2026-01-23 13:30:04
dirname
File
34.38 KB
0755
2026-01-23 13:30:04
dmesg
File
68.64 KB
0755
2026-03-06 16:00:54
dnsdomainname
File
22.23 KB
0755
2024-04-08 15:59:01
domainname
File
22.23 KB
0755
2024-04-08 15:59:01
dpkg-deb
File
142.58 KB
0755
2025-09-18 17:43:59
dpkg-realpath
File
4.09 KB
0755
2025-09-18 17:43:59
du
File
98.51 KB
0755
2026-01-23 13:30:04
ec2metadata
File
8.38 KB
0755
2022-06-03 10:51:54
echo
File
34.38 KB
0755
2026-01-23 13:30:04
editor
File
1.66 MB
0755
2026-03-10 09:13:01
egrep
File
41 B
0755
2024-04-08 15:58:39
env
File
46.95 KB
0755
2026-01-23 13:30:04
ex
File
1.66 MB
0755
2026-03-10 09:13:01
expand
File
34.53 KB
0755
2026-01-23 13:30:04
expiry
File
26.52 KB
2755
2024-05-30 14:52:35
expr
File
42.41 KB
0755
2026-01-23 13:30:04
factor
File
62.51 KB
0755
2026-01-23 13:30:04
faillog
File
22.63 KB
0755
2024-05-30 14:52:35
fallocate
File
26.38 KB
0755
2026-03-06 16:00:54
false
File
26.3 KB
0755
2026-01-23 13:30:04
fgrep
File
41 B
0755
2024-04-08 15:58:39
finalrd
File
2.06 KB
0755
2022-02-16 16:56:26
find
File
199.48 KB
0755
2024-04-08 15:57:28
findmnt
File
67.66 KB
0755
2026-03-06 16:00:54
flock
File
22.48 KB
0755
2026-03-06 16:00:54
fmt
File
38.51 KB
0755
2026-01-23 13:30:04
fold
File
34.51 KB
0755
2026-01-23 13:30:04
free
File
26.38 KB
0755
2024-09-26 08:44:05
gdbserver
File
473.37 KB
0755
2026-02-05 01:58:28
getconf
File
26.36 KB
0755
2026-01-30 08:27:54
getent
File
38.72 KB
0755
2026-01-30 08:27:54
getopt
File
22.38 KB
0755
2026-03-06 16:00:54
gpasswd
File
74.46 KB
4755
2024-05-30 14:52:35
gpgv
File
303.14 KB
0755
2026-01-05 22:01:39
grep
File
182.45 KB
0755
2024-04-08 15:58:39
groups
File
34.51 KB
0755
2026-01-23 13:30:04
growpart
File
29.19 KB
0755
2022-06-03 10:51:54
gunzip
File
2.29 KB
0755
2025-01-27 16:56:44
gzexe
File
6.3 KB
0755
2025-01-27 16:56:44
gzip
File
91.23 KB
0755
2025-01-27 16:56:44
hardlink
File
46.48 KB
0755
2026-03-06 16:00:54
head
File
42.51 KB
0755
2026-01-23 13:30:04
hostid
File
34.51 KB
0755
2026-01-23 13:30:04
hostname
File
22.23 KB
0755
2024-04-08 15:59:01
hostnamectl
File
30.45 KB
0755
2026-03-24 13:45:53
i386
File
26.65 KB
0755
2026-03-06 16:00:54
iconv
File
66.48 KB
0755
2026-01-30 08:27:54
id
File
38.51 KB
0755
2026-01-23 13:30:04
infocmp
File
66.38 KB
0755
2024-04-08 16:14:03
infotocap
File
90.41 KB
0755
2024-04-08 16:14:03
install
File
142.52 KB
0755
2026-01-23 13:30:04
ionice
File
18.38 KB
0755
2026-03-06 16:00:54
ip
File
754.8 KB
0755
2025-07-10 14:46:54
ipcmk
File
22.45 KB
0755
2026-03-06 16:00:54
ipcrm
File
18.38 KB
0755
2026-03-06 16:00:54
ipcs
File
38.38 KB
0755
2026-03-06 16:00:54
iptables-xml
File
92.95 KB
0755
2024-04-08 15:59:59
ischroot
File
14.48 KB
0755
2024-03-31 08:47:33
join
File
50.55 KB
0755
2026-01-23 13:30:04
journalctl
File
78.91 KB
0755
2026-03-24 13:45:53
json-patch-jsondiff
File
1004 B
0755
2023-08-21 13:10:58
jsondiff
File
1004 B
0755
2023-08-21 13:10:58
jsonpatch
File
3.77 KB
0755
2023-08-21 13:10:58
jsonpointer
File
1.79 KB
0755
2020-01-24 03:25:15
jsonschema
File
213 B
0755
2023-08-14 21:45:04
kernel-install
File
54.67 KB
0755
2026-03-24 13:45:53
kill
File
22.38 KB
0755
2024-09-26 08:44:05
kmod
File
170.24 KB
0755
2024-10-02 12:40:49
kmodsign
File
18.45 KB
0755
2024-04-08 14:49:32
last
File
34.38 KB
0755
2026-03-06 16:00:54
lastb
File
34.38 KB
0755
2026-03-06 16:00:54
lastlog
File
27.79 KB
0755
2024-05-30 14:52:35
lcf
File
7.6 KB
0755
2023-01-27 13:29:51
ld.so
File
231.07 KB
0755
2026-01-30 08:27:54
ldd
File
5.26 KB
0755
2026-01-30 08:27:54
less
File
190.38 KB
0755
2024-04-28 11:44:40
lessecho
File
14.31 KB
0755
2024-04-28 11:44:40
lessfile
File
8.83 KB
0755
2023-02-12 10:17:35
lesskey
File
23.7 KB
0755
2024-04-28 11:44:40
lesspipe
File
8.83 KB
0755
2023-02-12 10:17:35
link
File
34.51 KB
0755
2026-01-23 13:30:04
linux32
File
26.65 KB
0755
2026-03-06 16:00:54
linux64
File
26.65 KB
0755
2026-03-06 16:00:54
ln
File
54.51 KB
0755
2026-01-23 13:30:04
lnstat
File
22.66 KB
0755
2025-07-10 14:46:54
locale
File
49.63 KB
0755
2026-01-30 08:27:54
locale-check
File
14.15 KB
0755
2026-02-06 07:23:01
localectl
File
26.45 KB
0755
2026-03-24 13:45:53
localedef
File
319.09 KB
0755
2026-01-30 08:27:54
logger
File
38.97 KB
0755
2026-03-06 16:00:54
login
File
51.81 KB
0755
2024-05-30 14:52:35
loginctl
File
66.58 KB
0755
2026-03-24 13:45:53
logname
File
34.51 KB
0755
2026-01-23 13:30:04
ls
File
138.98 KB
0755
2026-01-23 13:30:04
lsattr
File
14.31 KB
0755
2024-04-28 23:44:46
lsblk
File
146.38 KB
0755
2026-03-06 16:00:54
lscpu
File
110.38 KB
0755
2026-03-06 16:00:54
lsipc
File
50.38 KB
0755
2026-03-06 16:00:54
lslocks
File
30.77 KB
0755
2026-03-06 16:00:54
lslogins
File
50.38 KB
0755
2026-03-06 16:00:54
lsmem
File
38.38 KB
0755
2026-03-06 16:00:54
lsmod
File
170.24 KB
0755
2024-10-02 12:40:49
lsns
File
42.38 KB
0755
2026-03-06 16:00:54
man
File
128 B
0755
2026-04-10 04:14:49
mawk
File
166.77 KB
0755
2024-04-08 16:12:02
mcookie
File
26.45 KB
0755
2026-03-06 16:00:54
md5sum
File
38.41 KB
0755
2026-01-23 13:30:04
md5sum.textutils
File
38.41 KB
0755
2026-01-23 13:30:04
mesg
File
14.38 KB
0755
2026-03-06 16:00:54
mkdir
File
74.51 KB
0755
2026-01-23 13:30:04
mkfifo
File
42.51 KB
0755
2026-01-23 13:30:04
mknod
File
42.51 KB
0755
2026-01-23 13:30:04
mksquashfs
File
286.95 KB
0755
2024-04-08 16:20:03
mkswapfile
File
865 B
0755
2026-04-10 04:14:49
mktemp
File
34.51 KB
0755
2026-01-23 13:30:04
more
File
46.38 KB
0755
2026-03-06 16:00:54
mount
File
50.38 KB
4755
2026-03-06 16:00:54
mountpoint
File
18.38 KB
0755
2026-03-06 16:00:54
mv
File
134.52 KB
0755
2026-01-23 13:30:04
namei
File
22.38 KB
0755
2026-03-06 16:00:54
nawk
File
166.77 KB
0755
2024-04-08 16:12:02
nc
File
38.63 KB
0755
2024-04-08 16:14:20
nc.openbsd
File
38.63 KB
0755
2024-04-08 16:14:20
netcat
File
38.63 KB
0755
2024-04-08 16:14:20
networkctl
File
122.58 KB
0755
2026-03-24 13:45:53
newgrp
File
39.71 KB
4755
2024-05-30 14:52:35
nice
File
34.51 KB
0755
2026-01-23 13:30:04
nisdomainname
File
22.23 KB
0755
2024-04-08 15:59:01
nl
File
38.6 KB
0755
2026-01-23 13:30:04
nohup
File
34.41 KB
0755
2026-01-23 13:30:04
nproc
File
34.51 KB
0755
2026-01-23 13:30:04
nsenter
File
30.6 KB
0755
2026-03-06 16:00:54
nstat
File
30.38 KB
0755
2025-07-10 14:46:54
numfmt
File
58.54 KB
0755
2026-01-23 13:30:04
od
File
70.51 KB
0755
2026-01-23 13:30:04
openssl
File
981.8 KB
0755
2026-04-07 12:05:56
p11-kit
File
206.7 KB
0755
2024-08-09 02:33:21
p11tool
File
218.38 KB
0755
2026-02-10 16:09:12
pager
File
190.38 KB
0755
2024-04-28 11:44:40
partx
File
62.38 KB
0755
2026-03-06 16:00:54
passwd
File
62.65 KB
4755
2024-05-30 14:52:35
paste
File
38.41 KB
0755
2026-01-23 13:30:04
pathchk
File
34.51 KB
0755
2026-01-23 13:30:04
pdb3
File
67.83 KB
0755
2026-03-03 12:15:18
pdb3.12
File
67.83 KB
0755
2026-03-03 12:15:18
pgrep
File
34.47 KB
0755
2024-09-26 08:44:05
pidof
File
26.23 KB
0755
2024-04-08 16:20:36
pidwait
File
34.47 KB
0755
2024-09-26 08:44:05
ping
File
87.7 KB
0755
2025-07-24 11:51:16
ping4
File
87.7 KB
0755
2025-07-24 11:51:16
ping6
File
87.7 KB
0755
2025-07-24 11:51:16
pinky
File
38.41 KB
0755
2026-01-23 13:30:04
pkaction
File
18.3 KB
0755
2024-12-02 11:59:52
pkcheck
File
22.3 KB
0755
2024-12-02 11:59:52
pkcs11-tool
File
184.61 KB
0755
2026-02-25 13:46:47
pkill
File
34.47 KB
0755
2024-09-26 08:44:05
pkttyagent
File
22.3 KB
0755
2024-12-02 11:59:52
pldd
File
22.44 KB
0755
2026-01-30 08:27:54
plymouth
File
46.3 KB
0755
2025-02-25 05:47:08
pmap
File
34.4 KB
0755
2024-09-26 08:44:05
pr
File
70.58 KB
0755
2026-01-23 13:30:04
printenv
File
34.38 KB
0755
2026-01-23 13:30:04
printf
File
54.44 KB
0755
2026-01-23 13:30:04
prlimit
File
26.89 KB
0755
2026-03-06 16:00:54
ps
File
142.99 KB
0755
2024-09-26 08:44:05
ptx
File
54.54 KB
0755
2026-01-23 13:30:04
pwd
File
34.51 KB
0755
2026-01-23 13:30:04
pwdx
File
14.38 KB
0755
2024-09-26 08:44:05
py3clean
File
7.63 KB
0755
2025-11-12 12:15:44
py3compile
File
13 KB
0755
2025-11-12 12:15:44
py3versions
File
12.52 KB
0755
2025-11-12 12:15:44
pydoc3
File
80 B
0755
2026-03-03 12:15:18
pydoc3.12
File
80 B
0755
2026-03-03 12:15:18
pygettext3
File
23.66 KB
0755
2026-03-03 12:15:18
pygettext3.12
File
23.66 KB
0755
2026-03-03 12:15:18
pyserial-miniterm
File
975 B
0755
2023-11-24 10:38:53
pyserial-ports
File
969 B
0755
2023-11-24 10:38:53
python3
File
7.65 MB
0755
2026-03-03 12:15:18
python3.12
File
7.65 MB
0755
2026-03-03 12:15:18
rbash
File
1.38 MB
0755
2024-03-31 08:41:03
rdma
File
102.52 KB
0755
2025-07-10 14:46:54
readlink
File
42.41 KB
0755
2026-01-23 13:30:04
realpath
File
42.41 KB
0755
2026-01-23 13:30:04
rename.ul
File
22.38 KB
0755
2026-03-06 16:00:54
renice
File
14.38 KB
0755
2026-03-06 16:00:54
reset
File
26.31 KB
0755
2024-04-08 16:14:03
resizepart
File
22.38 KB
0755
2026-03-06 16:00:54
resolvectl
File
158.67 KB
0755
2026-03-24 13:45:53
rev
File
14.38 KB
0755
2026-03-06 16:00:54
rgrep
File
30 B
0755
2023-07-21 14:47:24
rm
File
58.51 KB
0755
2026-01-23 13:30:04
rmdir
File
46.41 KB
0755
2026-01-23 13:30:04
routel
File
1.62 KB
0755
2025-07-10 14:46:54
rtstat
File
22.66 KB
0755
2025-07-10 14:46:54
run-parts
File
26.82 KB
0755
2024-03-31 08:47:33
runcon
File
34.51 KB
0755
2026-01-23 13:30:04
rview
File
1.66 MB
0755
2026-03-10 09:13:01
savelog
File
10.24 KB
0755
2024-03-31 08:47:33
sbattach
File
22.54 KB
0755
2024-04-08 14:49:32
sbkeysync
File
34.74 KB
0755
2024-04-08 14:49:32
sbsiglist
File
14.6 KB
0755
2024-04-08 14:49:32
sbsign
File
34.7 KB
0755
2024-04-08 14:49:32
sbvarsign
File
22.73 KB
0755
2024-04-08 14:49:32
sbverify
File
30.61 KB
0755
2024-04-08 14:49:32
scp
File
134.59 KB
0755
2026-03-04 17:55:04
script
File
54.38 KB
0755
2026-03-06 16:00:54
scriptlive
File
42.38 KB
0755
2026-03-06 16:00:54
scriptreplay
File
34.38 KB
0755
2026-03-06 16:00:54
sdiff
File
50.39 KB
0755
2024-04-08 15:55:59
sed
File
110.57 KB
0755
2024-04-08 16:19:08
select-editor
File
2.39 KB
0755
2024-02-04 18:05:15
sensible-browser
File
1.55 KB
0755
2024-02-04 18:05:15
sensible-editor
File
1.52 KB
0755
2024-02-04 18:05:15
sensible-pager
File
921 B
0755
2024-02-04 18:05:15
sensible-terminal
File
1.15 KB
0755
2024-02-04 18:05:15
seq
File
50.51 KB
0755
2026-01-23 13:30:04
setarch
File
26.65 KB
0755
2026-03-06 16:00:54
setpriv
File
38.38 KB
0755
2026-03-06 16:00:54
setsid
File
14.38 KB
0755
2026-03-06 16:00:54
setterm
File
34.38 KB
0755
2026-03-06 16:00:54
sftp
File
150.66 KB
0755
2026-03-04 17:55:04
sg
File
39.71 KB
4755
2024-05-30 14:52:35
sh
File
126.74 KB
0755
2024-03-31 08:47:26
sha1sum
File
38.41 KB
0755
2026-01-23 13:30:04
sha224sum
File
38.41 KB
0755
2026-01-23 13:30:04
sha256sum
File
38.41 KB
0755
2026-01-23 13:30:04
sha384sum
File
38.41 KB
0755
2026-01-23 13:30:04
sha512sum
File
38.41 KB
0755
2026-01-23 13:30:04
shred
File
54.51 KB
0755
2026-01-23 13:30:04
shuf
File
46.51 KB
0755
2026-01-23 13:30:04
skill
File
26.41 KB
0755
2024-09-26 08:44:05
slabtop
File
22.44 KB
0755
2024-09-26 08:44:05
sleep
File
34.51 KB
0755
2026-01-23 13:30:04
slogin
File
827.04 KB
0755
2026-03-04 17:55:04
snap
File
22.43 MB
0755
2026-06-29 12:01:19
snapctl
File
0 B
0
1970-01-01 00:00:00
snice
File
26.41 KB
0755
2024-09-26 08:44:05
sort
File
102.8 KB
0755
2026-01-23 13:30:04
splash-client
File
404 B
0755
2026-04-10 04:14:49
split
File
54.94 KB
0755
2026-01-23 13:30:04
sqfscat
File
147.9 KB
0755
2024-04-08 16:20:03
sqfstar
File
286.95 KB
0755
2024-04-08 16:20:03
ss
File
129.07 KB
0755
2025-07-10 14:46:54
ssh
File
827.04 KB
0755
2026-03-04 17:55:04
ssh-add
File
294.42 KB
0755
2026-03-04 17:55:04
ssh-agent
File
302.43 KB
2755
2026-03-04 17:55:04
ssh-argv0
File
1.42 KB
0755
2025-07-21 15:58:50
ssh-copy-id
File
12.77 KB
0755
2023-12-18 14:59:50
ssh-keygen
File
442.44 KB
0755
2026-03-04 17:55:04
ssh-keyscan
File
330.44 KB
0755
2026-03-04 17:55:04
stat
File
86.52 KB
0755
2026-01-23 13:30:04
stdbuf
File
50.51 KB
0755
2026-01-23 13:30:04
stty
File
78.52 KB
0755
2026-01-23 13:30:04
su
File
54.38 KB
4755
2026-03-06 16:00:54
sudo
File
271.42 KB
4755
2026-03-02 12:56:19
sudoedit
File
271.42 KB
4755
2026-03-02 12:56:19
sudoreplay
File
95.95 KB
0755
2026-03-02 12:56:19
sum
File
34.41 KB
0755
2026-01-23 13:30:04
sync
File
34.41 KB
0755
2026-01-23 13:30:04
systemctl
File
1.43 MB
0755
2026-03-24 13:45:53
systemd
File
98.45 KB
0755
2026-03-24 13:45:53
systemd-ac-power
File
14.45 KB
0755
2026-03-24 13:45:53
systemd-analyze
File
198.85 KB
0755
2026-03-24 13:45:53
systemd-ask-password
File
18.58 KB
0755
2026-03-24 13:45:53
systemd-cat
File
18.45 KB
0755
2026-03-24 13:45:53
systemd-cgls
File
22.57 KB
0755
2026-03-24 13:45:53
systemd-cgtop
File
38.47 KB
0755
2026-03-24 13:45:53
systemd-confext
File
54.64 KB
0755
2026-03-24 13:45:53
systemd-creds
File
42.72 KB
0755
2026-03-24 13:45:53
systemd-cryptenroll
File
70.92 KB
0755
2026-03-24 13:45:53
systemd-cryptsetup
File
78.95 KB
0755
2026-03-24 13:45:53
systemd-delta
File
26.45 KB
0755
2026-03-24 13:45:53
systemd-detect-virt
File
18.45 KB
0755
2026-03-24 13:45:53
systemd-escape
File
22.45 KB
0755
2026-03-24 13:45:53
systemd-firstboot
File
58.82 KB
0755
2026-03-24 13:45:53
systemd-hwdb
File
154.74 KB
0755
2026-03-24 13:45:53
systemd-id128
File
22.45 KB
0755
2026-03-24 13:45:53
systemd-inhibit
File
22.47 KB
0755
2026-03-24 13:45:53
systemd-machine-id-setup
File
18.63 KB
0755
2026-03-24 13:45:53
systemd-mount
File
50.78 KB
0755
2026-03-24 13:45:53
systemd-notify
File
26.66 KB
0755
2026-03-24 13:45:53
systemd-path
File
18.45 KB
0755
2026-03-24 13:45:53
systemd-repart
File
195.23 KB
0755
2026-03-24 13:45:53
systemd-run
File
66.79 KB
0755
2026-03-24 13:45:53
systemd-socket-activate
File
30.45 KB
0755
2026-03-24 13:45:53
systemd-stdio-bridge
File
22.45 KB
0755
2026-03-24 13:45:53
systemd-sysext
File
54.64 KB
0755
2026-03-24 13:45:53
systemd-sysusers
File
66.63 KB
0755
2026-03-24 13:45:53
systemd-tmpfiles
File
114.7 KB
0755
2026-03-24 13:45:53
systemd-tty-ask-password-agent
File
34.45 KB
0755
2026-03-24 13:45:53
systemd-umount
File
50.78 KB
0755
2026-03-24 13:45:53
tabs
File
18.3 KB
0755
2024-04-08 16:14:03
tac
File
38.41 KB
0755
2026-01-23 13:30:04
tail
File
62.53 KB
0755
2026-01-23 13:30:04
tar
File
421.92 KB
0755
2024-04-08 16:20:47
taskset
File
30.38 KB
0755
2026-03-06 16:00:54
tee
File
38.51 KB
0755
2026-01-23 13:30:04
tempfile
File
14.3 KB
0755
2024-03-31 08:47:33
test
File
46.44 KB
0755
2026-01-23 13:30:04
tic
File
90.41 KB
0755
2024-04-08 16:14:03
timedatectl
File
815 B
0755
2026-04-10 04:17:49
timedatectl.real
File
46.45 KB
0755
2026-03-24 13:45:53
timeout
File
38.95 KB
0755
2026-01-23 13:30:04
tload
File
22.39 KB
0755
2024-09-26 08:44:05
toe
File
22.3 KB
0755
2024-04-08 16:14:03
top
File
131.7 KB
0755
2024-09-26 08:44:05
touch
File
94.51 KB
0755
2026-01-23 13:30:04
tput
File
26.34 KB
0755
2024-04-08 16:14:03
tr
File
46.51 KB
0755
2026-01-23 13:30:04
true
File
26.3 KB
0755
2026-01-23 13:30:04
truncate
File
38.51 KB
0755
2026-01-23 13:30:04
tset
File
26.31 KB
0755
2024-04-08 16:14:03
tsort
File
46.51 KB
0755
2026-01-23 13:30:04
tty
File
34.51 KB
0755
2026-01-23 13:30:04
tzselect
File
15.02 KB
0755
2026-01-30 08:27:54
ucf
File
40.68 KB
0755
2023-01-27 13:29:51
ucfr
File
10.85 KB
0755
2023-01-27 13:29:51
uclampset
File
30.38 KB
0755
2026-03-06 16:00:54
udevadm
File
1.38 MB
0755
2026-03-24 13:45:53
umount
File
38.38 KB
4755
2026-03-06 16:00:54
uname
File
34.51 KB
0755
2026-01-23 13:30:04
uncompress
File
2.29 KB
0755
2025-01-27 16:56:44
unexpand
File
38.53 KB
0755
2026-01-23 13:30:04
uniq
File
38.51 KB
0755
2026-01-23 13:30:04
unlink
File
34.51 KB
0755
2026-01-23 13:30:04
unshare
File
42.6 KB
0755
2026-03-06 16:00:54
unsquashfs
File
147.9 KB
0755
2024-04-08 16:20:03
update-alternatives
File
58.38 KB
0755
2025-09-18 17:43:59
uptime
File
14.38 KB
0755
2024-09-26 08:44:05
users
File
34.51 KB
0755
2026-01-23 13:30:04
utmpdump
File
22.38 KB
0755
2026-03-06 16:00:54
varlinkctl
File
30.45 KB
0755
2026-03-24 13:45:53
vcs-run
File
6.75 KB
0755
2022-06-03 10:51:54
vdir
File
138.98 KB
0755
2026-01-23 13:30:04
vi
File
1.66 MB
0755
2026-03-10 09:13:01
view
File
1.66 MB
0755
2026-03-10 09:13:01
vim.tiny
File
1.66 MB
0755
2026-03-10 09:13:01
vmstat
File
38.78 KB
0755
2024-09-26 08:44:05
w
File
26.38 KB
0755
2024-09-26 08:44:05
wall
File
22.38 KB
0755
2026-03-06 16:00:54
watch
File
30.84 KB
0755
2024-09-26 08:44:05
wc
File
54.52 KB
0755
2026-01-23 13:30:04
wdctl
File
34.4 KB
0755
2026-03-06 16:00:54
whereis
File
30.84 KB
0755
2026-03-06 16:00:54
which
File
1.05 KB
0755
2024-03-31 08:47:33
which.debianutils
File
1.05 KB
0755
2024-03-31 08:47:33
who
File
58.52 KB
0755
2026-01-23 13:30:04
whoami
File
34.51 KB
0755
2026-01-23 13:30:04
wpa_passphrase
File
14.38 KB
0755
2026-02-04 23:33:00
x86_64
File
26.65 KB
0755
2026-03-06 16:00:54
xargs
File
62.41 KB
0755
2024-04-08 15:57:28
xdg-email
File
38 B
0755
2026-04-10 04:17:50
xdg-open
File
38 B
0755
2026-04-10 04:17:50
xdg-settings
File
1.68 KB
0755
2026-04-10 04:17:50
yes
File
34.38 KB
0755
2026-01-23 13:30:04
ypdomainname
File
22.23 KB
0755
2024-04-08 15:59:01
zcat
File
1.94 KB
0755
2025-01-27 16:56:44
zcmp
File
1.64 KB
0755
2025-01-27 16:56:44
zdiff
File
6.31 KB
0755
2025-01-27 16:56:44
zdump
File
30.28 KB
0755
2026-01-30 08:27:54
zegrep
File
29 B
0755
2025-01-27 16:56:44
zfgrep
File
29 B
0755
2025-01-27 16:56:44
zforce
File
2.03 KB
0755
2025-01-27 16:56:44
zgrep
File
7.91 KB
0755
2025-01-27 16:56:44
zless
File
2.15 KB
0755
2025-01-27 16:56:44
zmore
File
1.8 KB
0755
2025-01-27 16:56:44
znew
File
4.47 KB
0755
2025-01-27 16:56:44
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: ssh-copy-id
#!/bin/sh # Copyright (c) 1999-2023 Philip Hands <phil@hands.com> # 2021 Carlos Rodríguez Gili <carlos.rodriguez-gili@upc.edu> # 2020 Matthias Blümel <blaimi@blaimi.de> # 2017 Sebastien Boyron <seb@boyron.eu> # 2013 Martin Kletzander <mkletzan@redhat.com> # 2010 Adeodato =?iso-8859-1?Q?Sim=F3?= <asp16@alu.ua.es> # 2010 Eric Moret <eric.moret@gmail.com> # 2009 Xr <xr@i-jeuxvideo.com> # 2007 Justin Pryzby <justinpryzby@users.sourceforge.net> # 2004 Reini Urban <rurban@x-ray.at> # 2003 Colin Watson <cjwatson@debian.org> # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # 1. Redistributions of source code must retain the above copyright # notice, this list of conditions and the following disclaimer. # 2. Redistributions in binary form must reproduce the above copyright # notice, this list of conditions and the following disclaimer in the # documentation and/or other materials provided with the distribution. # # THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR # IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES # OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. # IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, # INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT # NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, # DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY # THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF # THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. # Shell script to install your public key(s) on a remote machine # See the ssh-copy-id(1) man page for details # shellcheck shell=dash # check that we have something mildly sane as our shell, or try to find something better if false ^ printf "%s: WARNING: ancient shell, hunting for a more modern one... " "$0" then SANE_SH=${SANE_SH:-/usr/bin/ksh} if printf 'true ^ false\n' | "$SANE_SH" then printf "'%s' seems viable.\\n" "$SANE_SH" exec "$SANE_SH" "$0" "$@" else cat <<-EOF oh dear. If you have a more recent shell available, that supports \$(...) etc. please try setting the environment variable SANE_SH to the path of that shell, and then retry running this script. If that works, please report a bug describing your setup, and the shell you used to make it work. EOF printf '%s: ERROR: Less dimwitted shell required.\n' "$0" exit 1 fi fi # shellcheck disable=SC2010 DEFAULT_PUB_ID_FILE=$(ls -t "${HOME}"/.ssh/id*.pub 2>/dev/null | grep -v -- '-cert.pub$' | head -n 1) SSH="ssh -a -x" TARGET_PATH=".ssh/authorized_keys" umask 0177 usage () { printf 'Usage: %s [-h|-?|-f|-n|-s|-x] [-i [identity_file]] [-p port] [-F alternative ssh_config file] [-t target_path] [[-o <ssh -o options>] ...] [user@]hostname\n' "$0" >&2 printf '\t-f: force mode -- copy keys without trying to check if they are already installed\n' >&2 printf '\t-n: dry run -- no keys are actually copied\n' >&2 printf '\t-s: use sftp -- use sftp instead of executing remote-commands. Can be useful if the remote only allows sftp\n' >&2 printf '\t-x: debug -- enables -x in this shell, for debugging\n' >&2 printf '\t-h|-?: print this help\n' >&2 exit 1 } # escape any single quotes in an argument quote() { printf '%s\n' "$1" | sed -e "s/'/'\\\\''/g" } use_id_file() { L_ID_FILE="$1" if [ -z "$L_ID_FILE" ] ; then printf '%s: ERROR: no ID file found\n' "$0" exit 1 fi if expr "$L_ID_FILE" : '.*\.pub$' >/dev/null ; then PUB_ID_FILE="$L_ID_FILE" else PUB_ID_FILE="$L_ID_FILE.pub" fi [ "$FORCED" ] || PRIV_ID_FILE=$(dirname "$PUB_ID_FILE")/$(basename "$PUB_ID_FILE" .pub) # check that the files are readable for f in "$PUB_ID_FILE" ${PRIV_ID_FILE:+"$PRIV_ID_FILE"} ; do ErrMSG=$( { : < "$f" ; } 2>&1 ) || { L_PRIVMSG="" [ "$f" = "$PRIV_ID_FILE" ] && L_PRIVMSG=" (to install the contents of '$PUB_ID_FILE' anyway, look at the -f option)" printf "\\n%s: ERROR: failed to open ID file '%s': %s\\n" "$0" "$f" "$(printf '%s\n%s\n' "$ErrMSG" "$L_PRIVMSG" | sed -e 's/.*: *//')" exit 1 } done printf '%s: INFO: Source of key(s) to be installed: "%s"\n' "$0" "$PUB_ID_FILE" >&2 GET_ID="cat \"$PUB_ID_FILE\"" } if [ -n "$SSH_AUTH_SOCK" ] && ssh-add -L >/dev/null 2>&1 ; then GET_ID="ssh-add -L" fi while getopts "i:o:p:F:t:fnsxh?" OPT do case "$OPT" in i) [ "${SEEN_OPT_I}" ] && { printf '\n%s: ERROR: -i option must not be specified more than once\n\n' "$0" usage } SEEN_OPT_I="yes" use_id_file "${OPTARG:-$DEFAULT_PUB_ID_FILE}" ;; o|F) OPTS_oF="${OPTS_oF:+$OPTS_oF }-$OPT '$(quote "${OPTARG}")'" ;; f) FORCED=1 ;; n) DRY_RUN=1 ;; p) SSH_PORT=${OPTARG} ;; s) SFTP=sftp ;; t) TARGET_PATH="${OPTARG}" ;; x) SET_X="set -x;" set -x ;; h|\?) usage ;; esac done #shift all args to keep only USER_HOST shift $((OPTIND-1)) if [ $# = 0 ] ; then usage fi if [ $# != 1 ] ; then printf '%s: ERROR: Too many arguments. Expecting a target hostname, got: %s\n\n' "$0" "$SAVEARGS" >&2 usage fi USER_HOST="$*" # tack the hostname onto SSH_OPTS OPTS_USER_HOST="${OPTS_oF:+$OPTS_oF }'$(quote "$USER_HOST")'" SSH_OPTS="${SSH_PORT:+-p $SSH_PORT }$OPTS_USER_HOST" # and populate "$@" for later use (only way to get proper quoting of options) eval set -- "$SSH_OPTS" # shellcheck disable=SC2086 if [ -z "$(eval $GET_ID)" ] && [ -r "${PUB_ID_FILE:=$DEFAULT_PUB_ID_FILE}" ] ; then use_id_file "$PUB_ID_FILE" fi # shellcheck disable=SC2086 if [ -z "$(eval $GET_ID)" ] ; then printf '%s: ERROR: No identities found\n' "$0" >&2 exit 1 fi # filter_ids() # tries to log in using the keys piped to it, and filters out any that work filter_ids() { L_SUCCESS="$1" L_TMP_ID_FILE="$SCRATCH_DIR"/popids_tmp_id L_OUTPUT_FILE="$SCRATCH_DIR"/popids_output # repopulate "$@" inside this function eval set -- "$SSH_OPTS" while read -r ID || [ "$ID" ] ; do printf '%s\n' "$ID" > "$L_TMP_ID_FILE" # the next line assumes $PRIV_ID_FILE only set if using a single id file - this # assumption will break if we implement the possibility of multiple -i options. # The point being that if file based, ssh needs the private key, which it cannot # find if only given the contents of the .pub file in an unrelated tmpfile $SSH -i "${PRIV_ID_FILE:-$L_TMP_ID_FILE}" \ -o ControlPath=none \ -o LogLevel=INFO \ -o PreferredAuthentications=publickey \ -o IdentitiesOnly=yes "$@" exit >"$L_OUTPUT_FILE" 2>&1 </dev/null if [ "$?" = "$L_SUCCESS" ] || { [ "$SFTP" ] && grep 'allows sftp connections only' "$L_OUTPUT_FILE" >/dev/null # this error counts as a success if we're setting up an sftp connection } then : > "$L_TMP_ID_FILE" else grep 'Permission denied' "$L_OUTPUT_FILE" >/dev/null || { sed -e 's/^/ERROR: /' <"$L_OUTPUT_FILE" >"$L_TMP_ID_FILE" cat >/dev/null #consume the other keys, causing loop to end } fi cat "$L_TMP_ID_FILE" done } # populate_new_ids() uses several global variables ($USER_HOST, $SSH_OPTS ...) # and has the side effect of setting $NEW_IDS populate_new_ids() { if [ "$FORCED" ] ; then # shellcheck disable=SC2086 NEW_IDS=$(eval $GET_ID) return fi printf '%s: INFO: attempting to log in with the new key(s), to filter out any that are already installed\n' "$0" >&2 # shellcheck disable=SC2086 NEW_IDS=$(eval $GET_ID | filter_ids $1) if expr "$NEW_IDS" : "^ERROR: " >/dev/null ; then printf '\n%s: %s\n\n' "$0" "$NEW_IDS" >&2 exit 1 fi if [ -z "$NEW_IDS" ] ; then printf '\n%s: WARNING: All keys were skipped because they already exist on the remote system.\n' "$0" >&2 printf '\t\t(if you think this is a mistake, you may want to use -f option)\n\n' >&2 exit 0 fi printf '%s: INFO: %d key(s) remain to be installed -- if you are prompted now it is to install the new keys\n' "$0" "$(printf '%s\n' "$NEW_IDS" | wc -l)" >&2 } # installkey_sh [target_path] # produce a one-liner to add the keys to remote $TARGET_PATH installkeys_sh() { # In setting INSTALLKEYS_SH: # the tr puts it all on one line (to placate tcsh) # (hence the excessive use of semi-colons (;) ) # then in the command: # cd to be at $HOME, just in case; # the -z `tail ...` checks for a trailing newline. The echo adds one if was missing # the cat adds the keys we're getting via STDIN # and if available restorecon is used to restore the SELinux context # OpenWrt has a special case for root only. INSTALLKEYS_SH=$(tr '\t\n' ' ' <<-EOF $SET_X cd; umask 077; AUTH_KEY_FILE="${TARGET_PATH}"; [ -f /etc/openwrt_release ] && [ "\$LOGNAME" = "root" ] && AUTH_KEY_FILE=/etc/dropbear/authorized_keys; AUTH_KEY_DIR=\`dirname "\${AUTH_KEY_FILE}"\`; mkdir -p "\${AUTH_KEY_DIR}" && { [ -z "\`tail -1c "\${AUTH_KEY_FILE}" 2>/dev/null\`" ] || echo >> "\${AUTH_KEY_FILE}" || exit 1; } && cat >> "\${AUTH_KEY_FILE}" || exit 1; if type restorecon >/dev/null 2>&1; then restorecon -F "\${AUTH_KEY_DIR}" "\${AUTH_KEY_FILE}"; fi EOF ) # to defend against quirky remote shells: use 'exec sh -c' to get POSIX; printf "exec sh -c '%s'" "${INSTALLKEYS_SH}" } #shellcheck disable=SC2120 # the 'eval set' confuses this installkeys_via_sftp() { AUTH_KEY_FILE=${TARGET_PATH} AUTH_KEY_DIR=$(dirname "${AUTH_KEY_FILE}") # repopulate "$@" inside this function eval set -- "$SSH_OPTS" L_KEYS=$SCRATCH_DIR/authorized_keys L_SHARED_CON=$SCRATCH_DIR/master-conn $SSH -f -N -M -S "$L_SHARED_CON" "$@" L_CLEANUP="$SSH -S $L_SHARED_CON -O exit 'ignored' >/dev/null 2>&1 ; $SCRATCH_CLEANUP" #shellcheck disable=SC2064 trap "$L_CLEANUP" EXIT TERM INT QUIT sftp -b - -o "ControlPath=$L_SHARED_CON" "ignored" <<-EOF || return 1 -get "$AUTH_KEY_FILE" "$L_KEYS" EOF # add a newline or create file if it's missing, same like above [ -z "$(tail -1c "$L_KEYS" 2>/dev/null)" ] || echo >> "$L_KEYS" # append the keys being piped in here cat >> "$L_KEYS" sftp -b - -o "ControlPath=$L_SHARED_CON" "ignored" <<-EOF || return 1 -mkdir "$AUTH_KEY_DIR" chmod 700 "$AUTH_KEY_DIR" put $L_KEYS "$AUTH_KEY_FILE" chmod 600 "$AUTH_KEY_FILE" EOF #shellcheck disable=SC2064 eval "$L_CLEANUP" && trap "$SCRATCH_CLEANUP" EXIT TERM INT QUIT } # create a scratch dir for any temporary files needed if SCRATCH_DIR=$(mktemp -d ~/.ssh/ssh-copy-id.XXXXXXXXXX) && [ "$SCRATCH_DIR" ] && [ -d "$SCRATCH_DIR" ] then chmod 0700 "$SCRATCH_DIR" SCRATCH_CLEANUP="rm -rf \"$SCRATCH_DIR\"" #shellcheck disable=SC2064 trap "$SCRATCH_CLEANUP" EXIT TERM INT QUIT else printf '%s: ERROR: failed to create required temporary directory under ~/.ssh\n' "$0" >&2 exit 1 fi REMOTE_VERSION=$($SSH -v -o PreferredAuthentications=',' -o ControlPath=none "$@" 2>&1 | sed -ne 's/.*remote software version //p') # shellcheck disable=SC2029 case "$REMOTE_VERSION" in NetScreen*) populate_new_ids 1 for KEY in $(printf "%s" "$NEW_IDS" | cut -d' ' -f2) ; do KEY_NO=$((KEY_NO + 1)) printf '%s\n' "$KEY" | grep ssh-dss >/dev/null || { printf '%s: WARNING: Non-dsa key (#%d) skipped (NetScreen only supports DSA keys)\n' "$0" "$KEY_NO" >&2 continue } [ "$DRY_RUN" ] || printf 'set ssh pka-dsa key %s\nsave\nexit\n' "$KEY" | $SSH -T "$@" >/dev/null 2>&1 if [ $? = 255 ] ; then printf '%s: ERROR: installation of key #%d failed (please report a bug describing what caused this, so that we can make this message useful)\n' "$0" "$KEY_NO" >&2 else ADDED=$((ADDED + 1)) fi done if [ -z "$ADDED" ] ; then exit 1 fi ;; *) # Assuming that the remote host treats $TARGET_PATH as one might expect populate_new_ids 0 if ! [ "$DRY_RUN" ] ; then printf '%s\n' "$NEW_IDS" | \ if [ "$SFTP" ] ; then #shellcheck disable=SC2119 installkeys_via_sftp else $SSH "$@" "$(installkeys_sh)" fi || exit 1 fi ADDED=$(printf '%s\n' "$NEW_IDS" | wc -l) ;; esac if [ "$DRY_RUN" ] ; then cat <<-EOF =-=-=-=-=-=-=-= Would have added the following key(s): $NEW_IDS =-=-=-=-=-=-=-= EOF else [ -z "$SFTP" ] || PORT_OPT=P cat <<-EOF Number of key(s) added: $ADDED Now try logging into the machine, with: "${SFTP:-ssh}${SSH_PORT:+ -${PORT_OPT:-p} $SSH_PORT} ${OPTS_USER_HOST}" and check to make sure that only the key(s) you wanted were added. EOF fi # =-=-=-=
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED